<html>
<head>
<title>RManNotes</title>
</head>

<body bgcolor="#f9f9b1" background="notepad.gif" link="801010" vlink="101080" alink="108010"> <img alt="RManNotes" align=center src="header.gif">

<p><img src="black_line.gif"></p>

<p>
This document provides general information about writing shaders
in the RenderMan Shading Language and using the two most commonly
available RenderMan renderers:
<ul>
<li><a href="http://www.pixar.com">Pixar</a>'s <b>PhotoRealistic RenderMan</b> (abbreviated as "<b>PRMan</b>"); and
<li>Larry Gritz's <a href="http://www.seas.gwu.edu/student/gritz/bmrt.html"><b>Blue Moon Rendering Tools</b></a> (abbreviated as "<b>BMRT</b>")
</ul>
</p>

<!--
<p>
In addition, these pages contain information specific to using RenderMan 
renderers in the <a href="http://www.cgrg.ohio-state.edu">ACCAD</a> 
environment. ACCAD-specific information will be clearly marked.
</p>
-->

<p align=center>
Give me <a href="feedback.html">feedback</a>!<br>
</p>

<img alt="The Notes" src="the_notes.gif">

<ul>

<li><a href="WritingShaders/index.html"><b>Writing RenderMan Shaders</b></a>
<br>a general shader-writing approach
<ul>
<li><a href="RegularPatterns/index.html"><b>Regular Patterns</b></a>
<br>procedurally generated regular patterns
<li><a href="StochasticPatterns/index.html"><b>Stochastic Patterns</b></a>
<br>procedurally generated irregular patterns
<li><a href="rmannotes.sl"><b>rmannotes.sl</b></a>
<br>source file for RManNotes shading functions
<!-- <li><b>Shader Directory</b> -->
<!-- <br>a listing of shaders discussed -->
</ul>

<li><a href="shader_basics.html"><b>Shader Basics</b></a>
<br>shader source and object files, how shaders work, and how to compile shaders

<li><a href="rsl_emacs_mode.html"><b>RSL Emacs Mode</b></a>
<br>compiling and testing shaders with Emacs

<li><a href="prman_config.html"><b>PRMan Configuration</b></a>
<br>understanding configuration files, specifying search paths for
shaders and texutres, and changing the default image file format.

<li><a href="misc_stuff.html"><b>Miscellaneous Stuff</b></a>
<br>the differences between BMRT and PRMan, shading language limitations,
and the location of shaders and texture files at ACCAD

<li><a href="http://www.cgrg.ohio-state.edu/cgi-bin/wais/kowais-rman.pl"><b>Search the RManNotes!</b></a>
<br>use this to search the notes by keyword

<li><a href="whatsnew.html"><b>What's New?</b></a>

<li>For your convenience, you can now <b>download the entire RManNotes</b> as
one compressed archive. Choose either
<a href="RManNotes.tar.Z">RManNotes.tar.Z</a> or
<a href="RManNotes.tar.gz">RManNotes.tar.gz</a> or
<a href="RManNotes.zip">RManNotes.zip</a> or
(all about ~1M).

</ul>

<img alt="Other Related Materials" src="other.gif">

<ul>
<li><a href="http://www.cgrg.ohio-state.edu/~smay/DigitalLighting">Digital Lighting</a>

<li><a href="http://www.cs.umbc.edu/~ebert/book/book.html">Texturing and Modeling: A Procedural Approach</a>
<br>a fine book edited by my friend Dave

<li><a href="http://rmr.spinne.com">RenderMan Repository (RMR)</a>
<br>shaders and other related stuff

<li><a href="http://www.cgrg.ohio-state.edu/~smay/AL">AL</a>
<br>a procedural animation language which interfaces to RenderMan renderers
</ul>

<p><img src="black_line.gif"></p>

<p align=center><small>
The RenderMan (R) Interface Procedures and RIB Protocol are:<br>
Copyright 1988, 1989, Pixar.  All rights reserved. <br>
RenderMan (R) is a registered trademark of Pixar.
</small></p>

<p align=center><small>
Blue Moon Rendering Tools are:<br>
(c) Copyright 1990-1995 by Larry I. Gritz.  All rights reserved.
</small></p>

<p><img src="black_line.gif"></p> <small> <p><i>RManNotes</i> is Copyright &copy; 1995, 1996 Stephen F. May</p> <p> <i>Any comments or suggestions appreciated.</i> <address><a href="http://www.cgrg.ohio-state.edu/~smay">Steve May</a> (<a href="mailto:smay@cgrg.ohio-state.edu">smay@cgrg.ohio-state.edu</a>)</address> </p> </small>

<p align=right><small><i>Last Modified: 6/11/96</i></small></p>

</body>
</html>
